CVE-2005-2180
CVSS2.1
发布时间 :2005-07-11 00:00:00
修订时间 :2016-10-17 23:25:27
NMCO    

[原文]gen-index in GNATS 4.0, 4.1.0, and possibly earlier versions, when installed setuid, does not properly check files passed to the -o argument and opens the file with write access, which allows local users to overwrite arbitrary files.


[CNNVD]GNATS gen-index 文件覆盖漏洞(CNNVD-200507-089)

        GNATS是一个开源的Bug记录工具。
        GNATS 4.0, 4.1.0及之前更早版本中存在文件覆盖漏洞。
        由于gen-index在设置setuid时,未正确检查传递给-o参数的文件并会以写访问权打开文件,这使得本地用户可覆盖任意文件。

- CVSS (基础分值)

CVSS分值: 2.1 [轻微(LOW)]
机密性影响: NONE [对系统的机密性无影响]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: NONE [对系统可用性无影响]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: LOCAL [漏洞利用需要具有物理访问权限或本地帐户]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/a:gnu:gnats:4.0GNU GNATS 4.0
cpe:/a:gnu:gnats:4.1.0GNU GNATS 4.1.0

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2005-2180
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2005-2180
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200507-089
(官方数据源) CNNVD

- 其它链接及资源

http://marc.info/?l=bugtraq&m=112066901231154&w=2
(UNKNOWN)  BUGTRAQ  20050706 GNATS - gen-index
http://www.pi3.int.pl/adv/gnats.txt
(UNKNOWN)  MISC  http://www.pi3.int.pl/adv/gnats.txt

- 漏洞信息

GNATS gen-index 文件覆盖漏洞
低危 未知
2005-07-11 00:00:00 2005-10-20 00:00:00
本地  
        GNATS是一个开源的Bug记录工具。
        GNATS 4.0, 4.1.0及之前更早版本中存在文件覆盖漏洞。
        由于gen-index在设置setuid时,未正确检查传递给-o参数的文件并会以写访问权打开文件,这使得本地用户可覆盖任意文件。

- 公告与补丁

        目前厂商还没有提供补丁或者升级程序,建议使用此软件的用户随时关注厂商的主页以获取最新版本:
        http://www.gnu.org/software/gnats/

- 漏洞信息

17759
GNATS gen-index -o Parameter Arbitrary File Overwrite

- 漏洞描述

Unknown or Incomplete

- 时间线

2005-07-06 Unknow
2005-07-06 Unknow

- 解决方案

Unknown or Incomplete

- 相关参考

- 漏洞作者

Unknown or Incomplete
 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站